Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface BaseConnectionManager2MBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  NoTxConnectionManagerMBean, TxConnectionManagerMBean

All Known Implementing Classes:
  BaseConnectionManager2, TxConnectionManager

public interface BaseConnectionManager2MBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.ObjectName` | `getCachedConnectionManager()` Describe `getCachedConnectionManager` method here.
`BaseConnectionManager2` | `getInstance()` Describe `getInstance` method here.
`javax.management.ObjectName` | `getJaasSecurityManagerService()` Get the JaasSecurityManagerService value.
`String` | `getJndiName()` The JndiName attribute holds the jndi name the ConnectionFactory will be bound under in jndi.
`javax.resource.spi.ManagedConnectionFactory` | `getManagedConnectionFactory()` ManagedConnectionFactory is an internal attribute that holds the ManagedConnectionFactory instance managed by this ConnectionManager.
`javax.management.ObjectName` | `getManagedConnectionPool()` The ManagedConnectionPool holds the ObjectName of the mbean representing the pool for this connection manager.
`String` | `getSecurityDomainJndiName()` Get the SecurityDomainJndiName value.
`void` | `setCachedConnectionManager(javax.management.ObjectName ccmName)` The CachecConnectionManager holds the ObjectName of the CachedConnectionManager mbean used by this ConnectionManager.
`void` | `setJaasSecurityManagerService(javax.management.ObjectName jaasSecurityManagerService)` Set the JaasSecurityManagerService value.
`void` | `setJndiName(String jndiName)` Set the JndiName value.
`void` | `setManagedConnectionPool(javax.management.ObjectName newManagedConnectionPool)` Set the ManagedConnectionPool value.
`void` | `setSecurityDomainJndiName(String securityDomainJndiName)` The SecurityDomainJndiName holds the jndi name of the security domain configured for the ManagedConnectionFactory this ConnectionManager manages.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getJndiName

    public String getJndiName()

  The JndiName attribute holds the jndi name the ConnectionFactory will be bound under in jndi. Note that an entry of the form DefaultDS2 will be bound to java:/DefaultDS2.

  Returns:
    the JndiName value.

### setJndiName

    public void setJndiName(String jndiName)

  Set the JndiName value.

  Parameters:
    `jndiName` - The JndiName value.

### getManagedConnectionPool

    public javax.management.ObjectName getManagedConnectionPool()

  The ManagedConnectionPool holds the ObjectName of the mbean representing the pool for this connection manager. Normally it will be an embedded mbean in a depends tag rather than an ObjectName reference to the mbean.

  Returns:
    the ManagedConnectionPool value.

### setManagedConnectionPool

    public void setManagedConnectionPool(javax.management.ObjectName newManagedConnectionPool)

  Set the ManagedConnectionPool value.

  Parameters:
    `newManagedConnectionPool` - The new ManagedConnectionPool value.

### setCachedConnectionManager

    public void setCachedConnectionManager(javax.management.ObjectName ccmName)

  The CachecConnectionManager holds the ObjectName of the CachedConnectionManager mbean used by this ConnectionManager. Normally this will be a depends tag with the ObjectName of the unique CachedConnectionManager for the server.

  Parameters:
    `ccmName` - an `ObjectName` value

### getCachedConnectionManager

    public javax.management.ObjectName getCachedConnectionManager()

  Describe `getCachedConnectionManager` method here.

  Returns:
    an `ObjectName` value

### setSecurityDomainJndiName

    public void setSecurityDomainJndiName(String securityDomainJndiName)

  The SecurityDomainJndiName holds the jndi name of the security domain configured for the ManagedConnectionFactory this ConnectionManager manages. It is normally of the form java:/jaas/firebirdRealm, where firebirdRealm is the name found in auth.conf or equivalent file.

  Parameters:
    `securityDomainJndiName` - an `String` value

### getSecurityDomainJndiName

    public String getSecurityDomainJndiName()

  Get the SecurityDomainJndiName value.

  Returns:
    the SecurityDomainJndiName value.

### getJaasSecurityManagerService

    public javax.management.ObjectName getJaasSecurityManagerService()

  Get the JaasSecurityManagerService value.

  Returns:
    the JaasSecurityManagerService value.

### setJaasSecurityManagerService

    public void setJaasSecurityManagerService(javax.management.ObjectName jaasSecurityManagerService)

  Set the JaasSecurityManagerService value.

  Parameters:
    `jaasSecurityManagerService` - The new JaasSecurityManagerService value.

### getManagedConnectionFactory

    public javax.resource.spi.ManagedConnectionFactory getManagedConnectionFactory()

  ManagedConnectionFactory is an internal attribute that holds the ManagedConnectionFactory instance managed by this ConnectionManager.

  Returns:
    value of managedConnectionFactory

### getInstance

    public BaseConnectionManager2 getInstance()

  Describe `getInstance` method here.

  Returns:
    a `BaseConnectionManager2` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.